import { useParams } from 'solid-start';
import { createServerAction$ } from 'solid-start/server';
import PouchDb from 'pouchdb';
import User from '~/components/user';
import { createEffect, Show } from 'solid-js';

export default () => {
  const params = useParams();
  const [user, getUser] = createServerAction$(
    async (id: string) => {
      const db = new PouchDb('.db');
      const result = await db.get(id);
      console.log({ caller: 'Users / serverAction', result });
      return result;
    }
  );

  getUser(decodeURIComponent(params.id));

  createEffect(() => {
    console.log({
      caller: 'Users/[id]',
      params,
      user: user.result,
    });
  });

  return (
    <main>
      <h1>User</h1>
      <Show when={!user.pending} fallback={<>Loading...</>}>
        <User values={user.result} />
      </Show>
    </main>
  );
};
